
/** Concept each channel can have child channels ??**/
var EventualChannel = require('./channel');

class Context extends EventualChannel {
	constructor(eventual) {
		super(eventual);
		this.version = "Context Channel recursion";
		// Listener childs here
	}
	// Seems something to eventual and not context
	
	// Alias
	emit(name,...args) {
		return this.eventual.emit(name,...args);
	}	

	state(name,...args) {
		this.eventual.state(name,args);
	}
	destroy() {
		this.childs = null;
		this.listeners = null;
		this.eventual.destroyContext(this);
	}
	toString() {
		var out = [];
		this.eventual._events.ctx.forEach((c) => {	
			var cur = c;
			// First level
			function listChild(cur,prefix) {
				for( var c in cur.childs) {
					var name = (prefix)?prefix + ":" + c:c;
				out.push(name);
				listChild(cur.childs[c], name);
				}
			}
			listChild(cur,"");
		});

		return out.join("\n");
	}


}

module.exports = Context;
