// Create event .js
class Event {
	constructor(donecb,args) {
		this._count = 0;
		this._dowait = 0;
		this._dostop = 0;
		this.done= donecb; // Callback
		this.errors = [];
		this.params = args;
	}
	get count() {
		return this._count;
	}
	consume() {
		this._count++;
	}
	wait() {
		this._dowait = 1;
	}
	stop() {
		this._dostop = 1;
	}
}


module.exports = Event;

